SDL_GetGamepadFirmwareVersion(3)

NAME
SDL_GetGamepadFirmwareVersion - Get the firmware version of an opened gamepad, if available.

HEADER FILE
Defined in SDL3/SDL_gamepad.h

SYNOPSIS
#include "SDL3/SDL.h"

Uint16 SDL_GetGamepadFirmwareVersion(SDL_Gamepad *gamepad);

DESCRIPTION
If the firmware version isn't available this function returns 0.

FUNCTION PARAMETERS

gamepad
    the gamepad object to query.

RETURN VALUE
Returns the gamepad firmware version, or zero if unavailable.

AVAILABILITY
This function is available since SDL 3.0.0.